### Function

# EvinceDocument file_get_mime_type_from_fd

#### Declaration [src]

    gchar*
    ev_file_get_mime_type_from_fd (
      int fd,
      GError** error
    )

#### Description

No description available.

#### Parameters

`fd` | `int`
| An file descriptor (must be seekable)
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A newly allocated string with the MIME type of the file referred to by `fd`, or `NULL` on error or if the MIME type could not be determined.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.